Quassel IRC - Feature #413

Enable user status icons for nick-list like it is now implemented in the buffer-list
11/21/2008 10:54 AM - billie

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: EgS % Done: 100%
Category: Quassel Client Estimated time: 1.00 hour
Target version: 0.4.0

0S: Any

Description

It would be nice to have this functionality in the nick list too.

Associated revisions

Revision d37bdc91c5474603e1417c2cd9c40c02e1ad5eeb - 02/14/2009 01:27 AM - Marcus Eggenberger

fixes #413 - Icons in Nicklist

Revision d37bdc91 - 02/14/2009 01:27 AM - Marcus Eggenberger

fixes #413 - Icons in Nicklist

History

#1 - 11/28/2008 01:24 PM - tobyS

| personally also like the nick list as it is in Xchat (icons to identify certain user types instead of a tree view). Would be nice if one could configure this,
too.

#2 - 01/13/2009 09:24 PM - EgS

- Status changed from New to Confirmed
- Priority changed from High to Normal

- Estimated time set to 1.00 h

Since showing the on- / offline state doesn't make much sense: is it ok to just add the away icon to users who are marked as being away?
#3 - 01/13/2009 09:38 PM - billie
Yes offline does not make much sense. However it would be good to use both the online and away icon to get a consistent look. With the icons in the

nick list it would be more easy to distinguish between the two states compared to the currently only grayed out nicks for users that are away.

#4 - 02/11/2009 01:24 AM - EgS
- Target version set to 0.4.0

- OS set to Any

Also add the new icons for Op and Voice to the categories

#5 - 02/13/2009 01:06 AM - EgS
- Assignee set to EgS

#6 - 02/14/2009 01:01 PM - EgS
- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100

Applied in changeset d37bdc91c5474603e1417c2cd9c40c02e1ad5eeb.
